Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.vfs.helpers
Class AbstractVirtualFileHandlerVisitor

    java.lang.Object
      org.jboss.virtual.plugins.vfs.helpers.AbstractVirtualFileHandlerVisitor

All Implemented Interfaces:
  VirtualFileHandlerVisitor

    public abstract class AbstractVirtualFileHandlerVisitor

extends java.lang.Object
implements VirtualFileHandlerVisitor

AbstractVirtualFileVisitor.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Constructor Summary
`protected` | `AbstractVirtualFileHandlerVisitor()` Create a new AbstractVirtualFileVisitor using the default visitor attributes
`protected` | `AbstractVirtualFileHandlerVisitor(VisitorAttributes attributes)` Create a new AbstractVirtualFileVisitor using the default visitor attributes

Method Summary
`VisitorAttributes` | `getAttributes()` Get the search attribues for this visitor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.virtual.spi.VirtualFileHandlerVisitor
`visit`

Constructor Detail

### AbstractVirtualFileHandlerVisitor

    protected AbstractVirtualFileHandlerVisitor()

  Create a new AbstractVirtualFileVisitor using the default visitor attributes

### AbstractVirtualFileHandlerVisitor

    protected AbstractVirtualFileHandlerVisitor(VisitorAttributes attributes)

  Create a new AbstractVirtualFileVisitor using the default visitor attributes

  Parameters:
    `attributes` - the attributes or @{Link `VisitorAttributes.DEFAULT` when null

Method Detail

### getAttributes

    public VisitorAttributes getAttributes()

  Description copied from interface: `VirtualFileHandlerVisitor`
  Get the search attribues for this visitor

  Specified by:
    `getAttributes` in interface `VirtualFileHandlerVisitor`
  Returns:
    the attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD